Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
Messages Class Reference

## Detailed Description

Todo:
  build Messages from a OutputStream

Inheritance diagram for Messages:

## Public Member Functions
| Messages ()
| Constructor. More...
virtual | ~Messages ()
| Destructor.
void | silent ()
| suppress all output by setting Verbose to -1
void | quiet ()
| suppresses most output by setting Verbose to 0
int | verboseLevel ()
| return the verbose level
void | setVerbose (int m)
| set verbose to level m
void | operator() (const char *fmt,...)
| convenient access to print() with the () operator
void | operator() (int, const char *fmt,...)
| convenient access to print() with the () operator, with a verbose level
void | warning (const char *fmt,...)
| warning() is equivalent to print() with "Warning:" in front
Public Member Functions inherited from FileWrapper
| FileWrapper ()
| constructor - no file
| FileWrapper (FILE *, const char *path=0)
| constructor which opens a file
| FileWrapper (const char *name, const char *mode)
| constructor which opens a file
virtual | ~FileWrapper ()
| destructor
void | operator= (FILE *)
| constructor from an already opened file
| operator FILE * ()
| automatic conversion to a FILE *
int | open (const char *name, const char *mode)
| open a file More...
void | rewind ()
| rewind file
void | clearerr ()
| rewind file
void | close ()
| close file
FILE * | file ()
| return the file pointer
const char * | path () const
| the path of the file, or of the last attempt to open a file
bool | std () const
| true if output goes to stdout
bool | eof () const
| true if End-Of-File
int | error () const
| return the value of ferror()
bool | good () const
| true if file is good for writing / reading
int | get_pos (fpos_t &p) const
| current position in input file, relative to beggining
void | set_pos (const fpos_t &p)
| set position relative to the beginning of the file
void | put_line (const char *line, char sep=0)
| put string More...
void | put_line (const std::string &line, char sep=0)
| put string
void | get_line (std::string &line, char sep='\n')
| read line, including the terminating ' '; return the position where the line started More...
void | skip_until (const char *str)
| read stream until given string is found More...
void | lock ()
| lock file by the current thread
void | unlock ()
| unlock file
int | getUL ()
| read a character
int | peek ()
| report next character to be read
void | unget (int c)
| report next character to be read
int | write (const char c)
| write a character
void | flush ()
| flush

## Additional Inherited Members
Protected Attributes inherited from FileWrapper
FILE * | mFile
| the C-file descriptor
std::string | mPath
| the name of the file or some other information:

## Constructor & Destructor Documentation

Messages | ( |  | ) |

default verbose level = 4